#ifndef __PTZ_DEFAULT_VALUE_H_
#define __PTZ_DEFAULT_VALUE_H_
#include "ptz_type_select.h"

#ifdef PTZ_LIGHT_GEAR_L6235D_AS5047D
      ///水平电机减速比
      #define PTZ_HORI_MOTOR_RATIO    100.0
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 4.05
      ///水平总减速比 
      #define PTZ_HORI_RATIO          405.0
      ///水平电机调速模拟电压最大值
      #define PTZ_HORI_VR_MAX         1999
      ///水平电机调速模拟电压最小值
      #define PTZ_HORI_VR_MIN         0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   3000.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   400.0//600.0
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         7.5
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         1.0//1.5//0.65
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        5.0//4.0

      /**********************************************************/

      ///磁编码器和电机之间的减速比
      #define PTZ_VERT_MOTOR_RATIO    200.0
      ///磁编码器与云台轴之间的减速比
      #define PTZ_VERT_BIG_GEAR_RATIO 7.00
      ///垂直总减速比 
      #define PTZ_VERT_RATIO          1400.0
      ///垂直电机调速模拟电压最大值
      #define PTZ_VERT_VR_MAX         1999
      ///垂直电机调速模拟电压最小值
      #define PTZ_VERT_VR_MIN         0


      ///转速单位  转/每分
      ///垂直电机最大转速
      #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
      ///垂直电机最小转速
      #define PTZ_VERT_MOTOR_MIN_SPEED   300.0
      ///垂直云台最大转速
      #define PTZ_VERT_MAX_SPEED         2.20
      ///垂直云台最小转速
      #define PTZ_VERT_MIN_SPEED         0.22//0.43
      ///垂直云台默认最佳速度
      #define PTZ_VERT_BEST_SPEED        1.7//1.8


      //电机磁极对数
      #define PTZ_HORI_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_HORI_ONE_CYCLE_HALL_NUM              15.0 

      //电机磁极对数
      #define PTZ_VERT_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_VERT_ONE_CYCLE_HALL_NUM              15.0 


#endif

#ifdef PTZ_MEDIUM_WORM_L6235D_AS5047D
///*******************************标准云台******************************/
       ///水平电机减速比
      #define PTZ_HORI_MOTOR_RATIO    25.0//(25.0 * 1.5)//20
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 80.0//62.0
      ///水平总减速比
      #define PTZ_HORI_RATIO          2000.0//2325//1240.0
      ///水平电机调速模拟电压最大值
      #define PTZ_HORI_VR_MAX         1999
      ///水平电机调速模拟电压最小值
      #define PTZ_HORI_VR_MIN         0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   3000.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   400.0//600.0
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         1.5//1.29//2.4
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         0.2//0.3//0.26//0.4
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        1.2//2.0

      /**********************************************************/

      ///磁编码器和电机之间的减速比
      #define PTZ_VERT_MOTOR_RATIO    75.0//(50.0 * (52.0 / 35.0))//20.0
      ///磁编码器与云台轴之间的减速比
      #define PTZ_VERT_BIG_GEAR_RATIO 80.0//54.00
      ///垂直总减速比 
      #define PTZ_VERT_RATIO          6000.0//4011.429//1080.0
      ///垂直电机调速模拟电压最大值
      #define PTZ_VERT_VR_MAX         1999
      ///垂直电机调速模拟电压最小值
      #define PTZ_VERT_VR_MIN         0

      ///转速单位  转/每分
      ///垂直电机最大转速
      #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
      ///垂直电机最小转速
      #define PTZ_VERT_MOTOR_MIN_SPEED   400.0//600.0
      ///垂直云台最大转速
      #define PTZ_VERT_MAX_SPEED         0.5//0.74//2.7
      ///垂直云台最小转速
      #define PTZ_VERT_MIN_SPEED         0.07//0.1//0.15//0.5
      ///垂直云台默认最佳速度
      #define PTZ_VERT_BEST_SPEED        0.5//0.7//2.0 


      //电机磁极对数
      #define PTZ_HORI_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_HORI_ONE_CYCLE_HALL_NUM              15.0 

      //电机磁极对数
      #define PTZ_VERT_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_VERT_ONE_CYCLE_HALL_NUM              15.0 

/*******************************激光云台定制******************************/
//      ///水平电机减速比
//      #define PTZ_HORI_MOTOR_RATIO    (100.0 * 1.5)
//      ///水平大齿轮减速比
//      #define PTZ_HORI_BIG_GEAR_RATIO 62.0
//      ///水平总减速比
//      #define PTZ_HORI_RATIO          9300
//      ///水平电机调速模拟电压最大值
//      #define PTZ_HORI_VR_MAX         4095
//      ///水平电机调速模拟电压最小值
//      #define PTZ_HORI_VR_MIN         0
//
//      ///转速单位  转/每分
//      ///水平电机最大转速
//      #define PTZ_HORI_MOTOR_MAX_SPEED   3000.0
//      ///水平电机最小转速
//      #define PTZ_HORI_MOTOR_MIN_SPEED   600.0
//      ///水平云台最大转速
//      #define PTZ_HORI_MAX_SPEED         0.32
//      ///水平云台最小转速
//      #define PTZ_HORI_MIN_SPEED         0.06
//      ///水平云台默认最佳速度
//      #define PTZ_HORI_BEST_SPEED        0.32
//
//      /**********************************************************/
//
//      ///磁编码器和电机之间的减速比
//      #define PTZ_VERT_MOTOR_RATIO    (50.0 * (52.0 / 35.0))
//      ///磁编码器与云台轴之间的减速比
//      #define PTZ_VERT_BIG_GEAR_RATIO 54.00
//      ///垂直总减速比 
//      #define PTZ_VERT_RATIO          4011.429
//      ///垂直电机调速模拟电压最大值
//      #define PTZ_VERT_VR_MAX         4095
//      ///垂直电机调速模拟电压最小值
//      #define PTZ_VERT_VR_MIN         0
//
//      ///转速单位  转/每分
//      ///垂直电机最大转速
//      #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
//      ///垂直电机最小转速
//      #define PTZ_VERT_MOTOR_MIN_SPEED   600.0
//      ///垂直云台最大转速
//      #define PTZ_VERT_MAX_SPEED         0.74
//      ///垂直云台最小转速
//      #define PTZ_VERT_MIN_SPEED         0.15
//      ///垂直云台默认最佳速度
//      #define PTZ_VERT_BEST_SPEED        0.7
//
//
//      //电机磁极对数
//      #define PTZ_HORI_MOTOR_POLE_PAIRS                5.0
//      //电机霍尔传感器对数
//      #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
//      //电机旋转一圈FG返回的霍尔脉冲数
//      #define PTZ_HORI_ONE_CYCLE_HALL_NUM              15.0 
//
//      //电机磁极对数
//      #define PTZ_VERT_MOTOR_POLE_PAIRS                5.0
//      //电机霍尔传感器对数
//      #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
//      //电机旋转一圈FG返回的霍尔脉冲数
//      #define PTZ_VERT_ONE_CYCLE_HALL_NUM              15.0  
#endif

#ifdef PTZ_HEAVY_WORM_L6235D_AS5047D
      ///水平电机减速比************************************标准
      #define PTZ_HORI_MOTOR_RATIO    25.0//(25.0 * 1.0)
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 52.0
      ///水平总减速比 
      #define PTZ_HORI_RATIO          1300.0
      ///水平电机调速模拟电压最大值
      #define PTZ_HORI_VR_MAX         1999
      ///水平电机调速模拟电压最小值
      #define PTZ_HORI_VR_MIN         0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   3000.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   300.0
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         2.3
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         0.2
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        2.1



          ///磁编码器和电机之间的减速比************************************标准
          #define PTZ_VERT_MOTOR_RATIO     125.8065//(50.0 * (78.0 / 31.0))
          ///磁编码器与云台轴之间的减速比
          #define PTZ_VERT_BIG_GEAR_RATIO  60.0
          ///垂直总减速比 
          #define PTZ_VERT_RATIO           7548.3871
          ///垂直电机调速模拟电压最大值
          #define PTZ_VERT_VR_MAX          1999
          ///垂直电机调速模拟电压最小值
          #define PTZ_VERT_VR_MIN          0

          ///转速单位  转/每分
          ///垂直电机最大转速
          #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
          ///垂直电机最小转速
          #define PTZ_VERT_MOTOR_MIN_SPEED   600.0
          ///垂直云台最大转速
          #define PTZ_VERT_MAX_SPEED         0.4
          ///垂直云台最小转速
          #define PTZ_VERT_MIN_SPEED         0.08 
          ///垂直云台默认最佳速度
          #define PTZ_VERT_BEST_SPEED        0.30


      //电机磁极对数
      #define PTZ_HORI_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_HORI_ONE_CYCLE_HALL_NUM              15.0 

      //电机磁极对数
      #define PTZ_VERT_MOTOR_POLE_PAIRS                5.0
      //电机霍尔传感器对数
      #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_VERT_ONE_CYCLE_HALL_NUM              15.0 

#endif

#ifdef PTZ_SUPER_LIGHT_WORM_L6235D_AS5047D_12V

/*****************************第二个版本**********************************/
      ///水平电机减速比
      #define PTZ_HORI_MOTOR_RATIO    27.0
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 50.0
      ///水平总减速比
      #define PTZ_HORI_RATIO          1350.0
      ///水平电机调速模拟电压最大值
      #define PTZ_HORI_VR_MAX         1999
      ///水平电机调速模拟电压最小值
      #define PTZ_HORI_VR_MIN         0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   2000//2000.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   405.0
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         1.48//1.48 
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         0.3    
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        1.2   

      /**********************************************************/

      ///磁编码器和电机之间的减速比
      #define PTZ_VERT_MOTOR_RATIO    27.0//19.2//27.0
      ///磁编码器与云台轴之间的减速比
      #define PTZ_VERT_BIG_GEAR_RATIO 50.0
      ///垂直总减速比 
      #define PTZ_VERT_RATIO          1350.0//960.0//1350.0  
      ///垂直电机调速模拟电压最大值
      #define PTZ_VERT_VR_MAX         1999
      ///垂直电机调速模拟电压最小值
      #define PTZ_VERT_VR_MIN         0

      ///转速单位  转/每分 
      ///垂直电机最大转速
      #define PTZ_VERT_MOTOR_MAX_SPEED   2000.0
      ///垂直电机最小转速
      #define PTZ_VERT_MOTOR_MIN_SPEED   405.0
      ///垂直云台最大转速
      #define PTZ_VERT_MAX_SPEED         1.48//2.08//1.48
      ///垂直云台最小转速
      #define PTZ_VERT_MIN_SPEED         0.3//0.42//0.3
      ///垂直云台默认最佳速度
      #define PTZ_VERT_BEST_SPEED        1.2//1.8//1.2


      //电机磁极对数                                                                                              
      #define PTZ_HORI_MOTOR_POLE_PAIRS                4.0
      //电机霍尔传感器对数
      #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_HORI_ONE_CYCLE_HALL_NUM              12.0 

      //电机磁极对数
      #define PTZ_VERT_MOTOR_POLE_PAIRS                4.0
      //电机霍尔传感器对数
      #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
      //电机旋转一圈FG返回的霍尔脉冲数
      #define PTZ_VERT_ONE_CYCLE_HALL_NUM              12.0 

#endif

#define NEW_MOTOR

#ifdef PTZ_SUPER_LIGHT_WORM_L6235D_AS5047D_24V
    #ifndef NEW_MOTOR
        ///水平电机减速比
        #define PTZ_HORI_MOTOR_RATIO    27.0
        ///水平大齿轮减速比
        #define PTZ_HORI_BIG_GEAR_RATIO 50.0
        ///水平总减速比
        #define PTZ_HORI_RATIO          1350.0
        ///水平电机调速模拟电压最大值
        #define PTZ_HORI_VR_MAX         1999
        ///水平电机调速模拟电压最小值
        #define PTZ_HORI_VR_MIN         50

        ///转速单位  转/每分
        ///水平电机最大转速
        #define PTZ_HORI_MOTOR_MAX_SPEED   3000
        ///水平电机最小转速
        #define PTZ_HORI_MOTOR_MIN_SPEED   405.0
        ///水平云台最大转速
        #define PTZ_HORI_MAX_SPEED         2.2
        ///水平云台最小转速
        #define PTZ_HORI_MIN_SPEED         0.3
        ///水平云台默认最佳速度
        #define PTZ_HORI_BEST_SPEED        1.5 
    #endif
    #ifdef NEW_MOTOR
        ///水平电机减速比
        #define PTZ_HORI_MOTOR_RATIO    5.0
        ///水平大齿轮减速比
        #define PTZ_HORI_BIG_GEAR_RATIO 50.0
        ///水平总减速比
        #define PTZ_HORI_RATIO          250.0
        ///水平电机调速模拟电压最大值
        #define PTZ_HORI_VR_MAX         1999
        ///水平电机调速模拟电压最小值
        #define PTZ_HORI_VR_MIN         50

        ///转速单位  转/每分
        ///水平电机最大转速
        #define PTZ_HORI_MOTOR_MAX_SPEED   3000
        ///水平电机最小转速
        #define PTZ_HORI_MOTOR_MIN_SPEED   405.0
        ///水平云台最大转速
        #define PTZ_HORI_MAX_SPEED         12.0
        ///水平云台最小转速
        #define PTZ_HORI_MIN_SPEED         1.63   
        ///水平云台默认最佳速度
        #define PTZ_HORI_BEST_SPEED        9.0
    #endif

      /**********************************************************/
    
    #ifndef NEW_MOTOR
        ///磁编码器和电机之间的减速比
        #define PTZ_VERT_MOTOR_RATIO    27.0
        ///磁编码器与云台轴之间的减速比
        #define PTZ_VERT_BIG_GEAR_RATIO 50.0
        ///垂直总减速比 
        #define PTZ_VERT_RATIO          1350.0
        ///垂直电机调速模拟电压最大值
        #define PTZ_VERT_VR_MAX         1899
        ///垂直电机调速模拟电压最小值
        #define PTZ_VERT_VR_MIN         50

        ///转速单位  转/每分 
        ///垂直电机最大转速
        #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
        ///垂直电机最小转速
        #define PTZ_VERT_MOTOR_MIN_SPEED   405.0
        ///垂直云台最大转速
        #define PTZ_VERT_MAX_SPEED         2.2
        ///垂直云台最小转速
        #define PTZ_VERT_MIN_SPEED         0.3
        ///垂直云台默认最佳速度
        #define PTZ_VERT_BEST_SPEED        1.5
    #endif

    #ifdef NEW_MOTOR
        ///磁编码器和电机之间的减速比
        #define PTZ_VERT_MOTOR_RATIO    10.0
        ///磁编码器与云台轴之间的减速比
        #define PTZ_VERT_BIG_GEAR_RATIO 50.0
        ///垂直总减速比 
        #define PTZ_VERT_RATIO          500.0
        ///垂直电机调速模拟电压最大值
        #define PTZ_VERT_VR_MAX         1899
        ///垂直电机调速模拟电压最小值
        #define PTZ_VERT_VR_MIN         100

        ///转速单位  转/每分 
        ///垂直电机最大转速
        #define PTZ_VERT_MOTOR_MAX_SPEED   3000.0
        ///垂直电机最小转速
        #define PTZ_VERT_MOTOR_MIN_SPEED   405.0
        ///垂直云台最大转速
        #define PTZ_VERT_MAX_SPEED         6.0
        ///垂直云台最小转速
        #define PTZ_VERT_MIN_SPEED         0.81
        ///垂直云台默认最佳速度
        #define PTZ_VERT_BEST_SPEED        4.3

    #endif
        //电机磁极对数
        #define PTZ_HORI_MOTOR_POLE_PAIRS                4.0
        //电机霍尔传感器对数
        #define PTZ_HORI_MOTOR_HALL_PAIRS                3.0  
        //电机旋转一圈FG返回的霍尔脉冲数
        #define PTZ_HORI_ONE_CYCLE_HALL_NUM              12.0 

        //电机磁极对数
        #define PTZ_VERT_MOTOR_POLE_PAIRS                4.0
        //电机霍尔传感器对数
        #define PTZ_VERT_MOTOR_HALL_PAIRS                3.0  
        //电机旋转一圈FG返回的霍尔脉冲数
        #define PTZ_VERT_ONE_CYCLE_HALL_NUM              12.0 
#endif



//步进电机
#ifdef PTZ_SUPER_LIGHT_WORM_STEP_TMC2160_AS5047D_24V
 ///水平电机减速比
      #define PTZ_HORI_MOTOR_RATIO    1.0
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 50.0
      ///水平总减速比
      #define PTZ_HORI_RATIO          50.0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   750.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   1.0
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         15.0  
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         0.02    
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        2.0//10.0 //步进电机默认速度不能过大，应为对应扭矩最大值 
      ///快要到达指定位置时的刹车转速
      #define PTZ_HORI_BREAK_SPEED       0.3    
      /**********************************************************/

      ///磁编码器和电机之间的减速比
      #define PTZ_VERT_MOTOR_RATIO    1.0
      ///磁编码器与云台轴之间的减速比
      #define PTZ_VERT_BIG_GEAR_RATIO 50.0
      ///垂直总减速比 
      #define PTZ_VERT_RATIO          50.0

      ///转速单位  转/每分
      ///垂直电机最大转速
      #define PTZ_VERT_MOTOR_MAX_SPEED   500//300.0
      ///垂直电机最小转速
      #define PTZ_VERT_MOTOR_MIN_SPEED   1.0
      ///垂直云台最大转速
      #define PTZ_VERT_MAX_SPEED         10.0
      ///垂直云台最小转速
      #define PTZ_VERT_MIN_SPEED         0.02
      ///垂直云台默认最佳速度
      #define PTZ_VERT_BEST_SPEED        2.0//6.0
      ///快要到达指定位置时的刹车转速
      #define PTZ_VERT_BREAK_SPEED       0.3    
///////////////////**//////////////////////////////
      ///步进电机默认步距角
      #define PTZ_HORI_MOTOR_STEP        1.8
      ///步进电机默认步距角
      #define PTZ_VERT_MOTOR_STEP        1.8
      
#endif


#ifdef PTZ_MEDIUM_WORM_STEP_TMC2160_AS5047D_24V
 ///水平电机减速比
      #define PTZ_HORI_MOTOR_RATIO    1.0
      ///水平大齿轮减速比
      #define PTZ_HORI_BIG_GEAR_RATIO 80.0
      ///水平总减速比
      #define PTZ_HORI_RATIO          80.0

      ///转速单位  转/每分
      ///水平电机最大转速
      #define PTZ_HORI_MOTOR_MAX_SPEED   500.0
      ///水平电机最小转速
      #define PTZ_HORI_MOTOR_MIN_SPEED   1.6
      ///水平云台最大转速
      #define PTZ_HORI_MAX_SPEED         6.25
      ///水平云台最小转速
      #define PTZ_HORI_MIN_SPEED         0.02
      ///水平云台默认最佳速度
      #define PTZ_HORI_BEST_SPEED        1.5 
      ///快要到达指定位置时的刹车转速
      #define PTZ_HORI_BREAK_SPEED       0.3    
      /**********************************************************/

      ///磁编码器和电机之间的减速比
      #define PTZ_VERT_MOTOR_RATIO    1.5
      ///磁编码器与云台轴之间的减速比
      #define PTZ_VERT_BIG_GEAR_RATIO 80.0
      ///垂直总减速比 
      #define PTZ_VERT_RATIO          120.0

      ///转速单位  转/每分
      ///垂直电机最大转速
      #define PTZ_VERT_MOTOR_MAX_SPEED   300.0
      ///垂直电机最小转速
      #define PTZ_VERT_MOTOR_MIN_SPEED   2.4
      ///垂直云台最大转速
      #define PTZ_VERT_MAX_SPEED         2.5
      ///垂直云台最小转速
      #define PTZ_VERT_MIN_SPEED         0.02
      ///垂直云台默认最佳速度
      #define PTZ_VERT_BEST_SPEED        0.8
      ///快要到达指定位置时的刹车转速
      #define PTZ_VERT_BREAK_SPEED       0.3    
///////////////////**//////////////////////////////
      ///步进电机默认步距角
      #define PTZ_HORI_MOTOR_STEP        1.8
      ///步进电机默认步距角
      #define PTZ_VERT_MOTOR_STEP        1.8
      
#endif




#endif